package event

const (
	EVENT_PRODUCT_ADDED_TO_BASKET     = "event.ProductAddedToBasketEvent"
	EVENT_PRODUCT_REMOVED_FROM_BASKET = "event.ProductRemovedFromBasketEvent"
)

type ProductAddedToBasketEvent struct {
	*Event
	ProductID string `json:"product_id"`
	BasketID  string `json:"basket_id"`
}

type ProductRemovedFromBasketEvent struct {
	*Event
	ProductID string `json:"product_id"`
	BasketID  string `json:"basket_id"`
}
